#ifndef ORXSCROLL_H
#define ORXSCROLL_H

// Includes
// The following define skips compilation of ScrollEd (map editor) for now
#define __NO_SCROLLED__
#include "Scroll/Scroll.h"

// OrxScroll class
class OrxScroll : public Scroll<OrxScroll>
{
private:
    virtual orxSTATUS Bootstrap() const;

    // Initialize the program
    virtual orxSTATUS Init();

    // Callback called every frame
    virtual orxSTATUS Run();

    // Exit the program
    virtual void Exit();

    virtual void BindObjects();
};

#endif // ORXSCROLL_H
